#include <bits/stdc++.h>
#define ll long long

using namespace std;
int main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);

    ll v;
    cin>>v;
    int niz[10]={0,1,1,2,2,1,2,2,3,3};
    /*for(int i=0;i<=9;i++)
        cout<<i<<" "<<niz[i]<<endl;*/
    int sol=0;
    int tek;
    while(v!=0)
    {
        tek=v%10;
        sol+=niz[tek];
        v/=10;
    }
    cout<<sol;

	return 0;
}